Bug 95468 - New port: databases/flamerobin GUI administration tool for firebird database
New port: databases/flamerobin GUI administration tool for firebird database
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 13:10 UTC by dindin
Modified: 2006-06-06 19:12 UTC (History)
0 users

See Also:


Attachments
file.shar (3.76 KB, text/plain)
2006-04-07 13:10 UTC, dindin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dindin 2006-04-07 13:10:12 UTC
Adding flamerobin (http://www.flamerobin.org/) - nice and very useful firebird database administration tool with many features - into ports/databases
Comment 1 dindin 2006-05-30 10:50:36 UTC
>Submitter-Id:	current-users
>Originator:	Denis Barov
>Organization:	
>Confidential:	no
>Synopsis:	Re: ports/95468 : New port: databases/flamerobin GUI administration tool for firebird database
>Severity:	non-critical
>Priority:	low
>Category:	ports
>Class:		sw-bug
>Release:	FreeBSD 6.1-STABLE
>Environment:	FreeBSD sunshine.webkazan.ru 6.1-STABLE FreeBSD 6.1-STABLE #5: Tue May  9 23:45:45 MSD 2006     root@sunshine.webkazan.ru:/usr/obj/usr/RELENG_6/src/sys/SUNSHINE  i386
>Description:
Updating flamerobin (http://www.flamerobin.org/) to version 0.7.2
Flamerobin is nice and very useful firebird database administration tool with many features
>How-To-Repeat:

>Fix:
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	databases/flamerobin
#	databases/flamerobin/pkg-descr
#	databases/flamerobin/Makefile
#	databases/flamerobin/distinfo
#	databases/flamerobin/pkg-message
#	databases/flamerobin/pkg-plist
#
echo c - databases/flamerobin
mkdir -p databases/flamerobin > /dev/null 2>&1
echo x - databases/flamerobin/pkg-descr
sed 's/^X//' >databases/flamerobin/pkg-descr << 'END-of-databases/flamerobin/pkg-descr'
XNice and very useful firebird database administration 
Xtool with many features.
X
X
XWWW: http://www.flamerobin.org/
X
X- Dindin
Xdindin@freebsd.org.ua
END-of-databases/flamerobin/pkg-descr
echo x - databases/flamerobin/Makefile
sed 's/^X//' >databases/flamerobin/Makefile << 'END-of-databases/flamerobin/Makefile'
X# New ports collection makefile for:  flamerobin
X# Date created:        5 April 2006
X# Whom:            dindin
X#
X# $FreeBSD$
X#
X
XPORTNAME=	flamerobin
XPORTVERSION=	0.7.2
XCATEGORIES=	databases
XMASTER_SITES=	http://dindin.webkazan.ru/flamerobin/ \
X		http://superb-west.dl.sourceforge.net/sourceforge/flamerobin/
XDISTNAME=	flamerobin-0.7.2-src
X
XMAINTAINER=	dindin@FreeBSD.org.ua
XCOMMENT=	An GUI administration tool for firebird database
X
XWXPORT=         gtk2
X
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
XUSE_X_PREFIX=   yes
X
X# build dependencies
XBUILD_DEPENDS+= ${WX_CONFIG}:${PORTSDIR}/x11-toolkits/wxgtk26
XWX_CONFIG=      ${X11BASE}/bin/wxgtk2-2.6-config
X
X.if exists(${WX_CONFIG})
XWX_VERSION!=    ${WX_CONFIG} --release
XPLIST_SUB+=     WX_VERSION=${WX_VERSION}
X.endif
X
XCONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS=--with-wx-config=${WX_CONFIG}
X
XLIB_DEPENDS+=  wx_gtk2_stc-2.6.0:${PORTSDIR}/x11-toolkits/wxgtk26-contrib
X
Xpost-install:
X	@${SED} 's|%%PREFIX%%|${PREFIX}|g' ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-databases/flamerobin/Makefile
echo x - databases/flamerobin/distinfo
sed 's/^X//' >databases/flamerobin/distinfo << 'END-of-databases/flamerobin/distinfo'
XMD5 (flamerobin-0.7.2-src.tar.gz) = 51fcf042fde4259e1deaa8229ba662a4
XSHA256 (flamerobin-0.7.2-src.tar.gz) = 6564e66d1607f422d38ee79637898394a8d538feb8c0a3271b0506db24711003
XSIZE (flamerobin-0.7.2-src.tar.gz) = 558633
END-of-databases/flamerobin/distinfo
echo x - databases/flamerobin/pkg-message
sed 's/^X//' >databases/flamerobin/pkg-message << 'END-of-databases/flamerobin/pkg-message'
X***********************************************************************
X*                             INSTALL COMPLETE                        *
X***********************************************************************
X
XFor additonal documentation read manpage flamerobin(1) and docs in 
X%%PREFIX%%/share/flamerobin/docs/
X
END-of-databases/flamerobin/pkg-message
echo x - databases/flamerobin/pkg-plist
sed 's/^X//' >databases/flamerobin/pkg-plist << 'END-of-databases/flamerobin/pkg-plist'
Xbin/flamerobin
Xman/man1/flamerobin.1
Xshare/flamerobin/conf-defs/db_settings.confdef
Xshare/flamerobin/conf-defs/fr_settings.confdef
Xshare/flamerobin/docs/fr_license.html
Xshare/flamerobin/docs/fr_manual.html
Xshare/flamerobin/docs/fr_whatsnew.html
Xshare/flamerobin/docs/html.css
Xshare/flamerobin/html-templates/ALLloading.html
Xshare/flamerobin/html-templates/DATABASE.html
Xshare/flamerobin/html-templates/DDL.html
Xshare/flamerobin/html-templates/DOMAIN.html
Xshare/flamerobin/html-templates/EXCEPTION.html
Xshare/flamerobin/html-templates/FUNCTION.html
Xshare/flamerobin/html-templates/GENERATOR.html
Xshare/flamerobin/html-templates/PROCEDURE.html
Xshare/flamerobin/html-templates/PROCEDUREprivileges.html
Xshare/flamerobin/html-templates/ROLE.html
Xshare/flamerobin/html-templates/ROLEprivileges.html
Xshare/flamerobin/html-templates/SERVER.html
Xshare/flamerobin/html-templates/TABLE.html
Xshare/flamerobin/html-templates/TABLEconstraints.html
Xshare/flamerobin/html-templates/TABLEindices.html
Xshare/flamerobin/html-templates/TABLEprivileges.html
Xshare/flamerobin/html-templates/TABLEtriggers.html
Xshare/flamerobin/html-templates/TRIGGER.html
Xshare/flamerobin/html-templates/VIEW.html
Xshare/flamerobin/html-templates/VIEWprivileges.html
Xshare/flamerobin/html-templates/VIEWtriggers.html
Xshare/flamerobin/html-templates/compute.png
Xshare/flamerobin/html-templates/dependencies.html
Xshare/flamerobin/html-templates/drop.png
Xshare/flamerobin/html-templates/header.html
Xshare/flamerobin/html-templates/ok.png
Xshare/flamerobin/html-templates/ok2.png
Xshare/flamerobin/html-templates/redx.png
Xshare/flamerobin/html-templates/view.png
X@dirrm share/flamerobin/html-templates
X@dirrm share/flamerobin/docs
X@dirrm share/flamerobin/conf-defs
X@dirrm share/flamerobin
END-of-databases/flamerobin/pkg-plist
exit
Comment 2 skv freebsd_committer 2006-06-06 19:12:00 UTC
State Changed
From-To: open->closed

Committed, thanks!